Dashboards

Create and manage dashboards in InfluxDB Cloud.
GET /api/v2/dashboards

List dashboards

Lists dashboards.

Parameters

Query parameters
offset integer

The offset for pagination. The number of records to skip.

For more information about pagination parameters, see Pagination.

descending boolean
limit integer
The maximum number of dashboards to return. Default is 20. The minimum is -1 and the maximum is 100.
Default: 20
owner string
A user ID. Only returns dashboards where the specified user has the owner role.
sortBy string
The column to sort by.
Allowed values: ID , CreatedAt , UpdatedAt
id array
A list of dashboard IDs. Returns only the specified dashboards. If you specify id and owner, only id is used.
orgID string
An organization ID. Only returns dashboards that belong to the specified organization.
org string
An organization name. Only returns dashboards that belong to the specified organization.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 Success. The response body contains dashboards.
dashboards object[]
links string
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
POST /api/v2/dashboards

Create a dashboard

Parameters

Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Dashboard to create
Content-Type: application/json
description string
The user-facing description of the dashboard.
name required string
The user-facing name of the dashboard.
orgID required string
The ID of the organization that owns the dashboard.
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "description": "DESCRIPTION",
  "name": "NAME",
  "orgID": "ORGID"
}'

Responses

201 Success. The dashboard is created.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
GET /api/v2/dashboards/{dashboardID}

Retrieve a dashboard

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Query parameters
include string
If properties, includes the cell view properties in the response.
Allowed values: properties
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 Retrieve a single dashboard
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PATCH /api/v2/dashboards/{dashboardID}

Update a dashboard

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Patching of a dashboard
Content-Type: application/json
cells string
optional, when provided will replace all existing cells with the cells provided
description string
optional, when provided will replace the description
name string
optional, when provided will replace the name
Example request Ask AI about this
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "cells": {},
  "description": "DESCRIPTION",
  "name": "NAME"
}'

Responses

200 Updated dashboard
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
DELETE /api/v2/dashboards/{dashboardID}

Delete a dashboard

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Delete has been accepted
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
POST /api/v2/dashboards/{dashboardID}/cells

Create a dashboard cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Cell that will be added
Content-Type: application/json
h integer <int32>
name string
usingView string
Makes a copy of the provided view.
w integer <int32>
x integer <int32>
y integer <int32>
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "h": 0,
  "name": "NAME",
  "usingView": "USINGVIEW",
  "w": 0,
  "x": 0,
  "y": 0
}'

Responses

201 Cell successfully added
h integer <int32>
id string
links object
self string
view string
viewID string
The reference to a view from the views API.
w integer <int32>
x integer <int32>
y integer <int32>
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PUT /api/v2/dashboards/{dashboardID}/cells

Replace cells in a dashboard

Replaces all cells in a dashboard. This is used primarily to update the positional information of all cells.

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
Example request Ask AI about this
curl --request PUT \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json"

Responses

201 Replaced dashboard cells
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}

Update the non-positional information related to a cell

Updates the non positional information related to a cell. Updates to a single cell’s positional data could cause grid conflicts.

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
cellID required string
The ID of the cell to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
h integer <int32>
w integer <int32>
x integer <int32>
y integer <int32>
Example request Ask AI about this
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "h": 0,
  "w": 0,
  "x": 0,
  "y": 0
}'

Responses

200 Updated dashboard cell
h integer <int32>
id string
links object
self string
view string
viewID string
The reference to a view from the views API.
w integer <int32>
x integer <int32>
y integer <int32>
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
DELETE /api/v2/dashboards/{dashboardID}/cells/{cellID}

Delete a dashboard cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to delete.
cellID required string
The ID of the cell to delete.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Cell successfully deleted
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
GET /api/v2/dashboards/{dashboardID}/cells/{cellID}/view

Retrieve the view for a cell

Parameters

Path parameters
dashboardID required string
The dashboard ID.
cellID required string
The cell ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A dashboard cells view
id string
links object
self string
name required string
properties required string
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
PATCH /api/v2/dashboards/{dashboardID}/cells/{cellID}/view

Update the view for a cell

Parameters

Path parameters
dashboardID required string
The ID of the dashboard to update.
cellID required string
The ID of the cell to update.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Content-Type: application/json
id string
links object
self string
name required string
properties required string
Example request Ask AI about this
curl --request PATCH \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/cells/{cellID}/view" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "links": {},
  "name": "NAME",
  "properties": "PROPERTIES"
}'

Responses

200 Updated cell view
id string
links object
self string
name required string
properties required string
404 Cell or dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
GET /api/v2/dashboards/{dashboardID}/labels

List all labels for a dashboard

Parameters

Path parameters
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/labels" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A list of all labels for a dashboard
labels string
links string
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
POST /api/v2/dashboards/{dashboardID}/labels

Add a label to a dashboard

Parameters

Path parameters
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

Label to add
Content-Type: application/json
labelID required string
A label ID. Specifies the label to attach.
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/labels" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "labelID": "LABELID"
}'

Responses

201 The label added to the dashboard
label string
links string
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
DELETE /api/v2/dashboards/{dashboardID}/labels/{labelID}

Delete a label from a dashboard

Parameters

Path parameters
dashboardID required string
The dashboard ID.
labelID required string
The ID of the label to delete.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/labels/{labelID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Delete has been accepted
404 Dashboard not found
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
GET /api/v2/dashboards/{dashboardID}/members

List all dashboard members

Parameters

Path parameters
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/members" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A list of users who have member privileges for a dashboard
links object
self string <uri>
users object[]
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
POST /api/v2/dashboards/{dashboardID}/members

Add a member to a dashboard

Parameters

Path parameters
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

User to add as member
Content-Type: application/json
id required string
The ID of the user to add to the resource.
name string
The name of the user to add to the resource.
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/members" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "name": "NAME"
}'

Responses

201 Added to dashboard members
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
DELETE /api/v2/dashboards/{dashboardID}/members/{userID}

Remove a member from a dashboard

Parameters

Path parameters
userID required string
The ID of the member to remove.
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/members/{userID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Member removed
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
GET /api/v2/dashboards/{dashboardID}/owners

List all dashboard owners

Parameters

Path parameters
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/owners" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

200 A list of users who have owner privileges for a dashboard
links object
self string <uri>
users object[]
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
POST /api/v2/dashboards/{dashboardID}/owners

Add an owner to a dashboard

Parameters

Path parameters
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context

Request body required

User to add as owner
Content-Type: application/json
id required string
The ID of the user to add to the resource.
name string
The name of the user to add to the resource.
Example request Ask AI about this
curl --request POST \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/owners" \
  --header "Authorization: Bearer INFLUX_TOKEN" \
  --header "Content-Type: application/json" \
  --data-raw '{
  "id": "ID",
  "name": "NAME"
}'

Responses

201 Added to dashboard owners
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.
DELETE /api/v2/dashboards/{dashboardID}/owners/{userID}

Remove an owner from a dashboard

Parameters

Path parameters
userID required string
The ID of the owner to remove.
dashboardID required string
The dashboard ID.
Header parameters
Zap-Trace-Span string
OpenTracing span context
Example request Ask AI about this
curl --request DELETE \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/dashboards/{dashboardID}/owners/{userID}" \
  --header "Authorization: Bearer INFLUX_TOKEN"

Responses

204 Owner removed
default Unexpected error
code required string
code is the machine-readable error code.
Allowed: internal error , not implemented , not found , conflict , invalid , unprocessable entity , empty value , unavailable , forbidden , too many requests , unauthorized , method not allowed , request too large , unsupported media type
err string
Stack of errors that occurred during processing of the request. Useful for debugging.
message string
Human-readable message.
op string
Describes the logical code operation when the error occurred. Useful for debugging.

Was this page helpful?

Thank you for your feedback!